#!/usr/bin/python
#
# Author: marco.lenhardt@ontec.at
#
# This file is part of the  oracle_rman plugin


register_check_parameters(
    subgroup_applications,
    "oracle_rman",
    _("Oracle RMAN"),
    Dictionary(
        elements = [
            ( "oracle_rman_duration",
            Tuple(
                title = _("Limits for the RMAN duration in hours"),
                elements = [
                    Float(title = _("Warning above"),   unit = _("hours"), default_value = 18.0),
                    Float(title = _("Critical above"),  unit = _("hours"), default_value = 20.0),
                ]
           )),
           ( "oracle_rman_last_successful",
           Tuple(
               title = _("Limits for the last successfull RMAN backup"),
               help = _("These levels make the check go warning or critical, when"
                        "the last successfull RMAN backup is more then the"
                        "specified days ago."),
               elements = [
                   Integer(title = _("Warning above"),   unit = _("days ago"), default_value = 2),
                   Integer(title = _("Critical above"),  unit = _("days ago"), default_value = 3),
               ]
           ))
       ]
    ),
    TextAscii(
        title = _("Database name"),
        allow_empty = False),
    None)
